<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

    <button onclick="getWebInfo()">Web Info</button>
    <button onclick="visitWeb()">Web Info</button>

    <script type="text/javascript">
        function getWebInfo(){
            let s = location.hostname;
            console.log(s)
        }

        function visitWeb(){
            location.href = 'https://www.google.com'
        }

    </script>
</body>
</html>